import { PropType, DefineComponent, ComputedRef, ComponentOptionsMixin, PublicProps, ExtractPropTypes } from 'vue';
import { ErrorObject } from 'ajv';
import { Translator } from '@jsonforms/core';

declare const _default: DefineComponent<{
    errors: {
        required: true;
        type: PropType<ErrorObject<string, Record<string, any>, unknown>[]>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    offsetX: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    offsetY: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    floating: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    t: ComputedRef<Translator> | null;
}, unknown, {
    tooltipMessages(): string[];
}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly< ExtractPropTypes<{
    errors: {
        required: true;
        type: PropType<ErrorObject<string, Record<string, any>, unknown>[]>;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    offsetX: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    offsetY: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    floating: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    bordered: boolean;
    color: string;
    floating: boolean;
    inline: boolean;
    offsetX: string | number;
    offsetY: string | number;
}, {}>;
export default _default;
